CUPTI (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 3.1. CUpti_Activity Struct Reference

## [CUPTI Activity API]

The activity API uses a CUpti_Activity as a generic representation for any activity. The 'kind' field is used to determine the specific activity kind, and from that the CUpti_Activity object can be cast to the specific activity record type appropriate for that kind.

Note that all activity record types are padded and aligned to ensure that each member of the record is naturally aligned.

See also:

CUpti_ActivityKind

### Public Variables

CUpti_ActivityKind kind

### Variables

CUpti_ActivityKind CUpti_Activity::kind [inherited]

  The kind of this activity.